#include <pic/p16f877a.h>
#define FOSC_HZ 20000000
#include <uart.h>
#include <uart2.h>
int main (void)
 {
   char a=0x4a;
   int x=1030;
   delayms(100);
   uart_open(SET_9600_8N1);
   uart_puts("UART2\n");
   puthex(uart_putc,a);
   uart_putc(’\n’);
   putint(uart_putc,x);
   uart_putc(’\n’);
   uart_puts("FIN\n");
   delayms(100);
   //laisser un peu de temps pour que le dernier caractère soit envoyé
   uart_close();
   return 0;
 }
